<?php
namespace Nahiro\InteractiveMap;

use Nahiro\InteractiveMap\Model\MapPostType;
use Nahiro\InteractiveMap\Admin\MapMetabox;
use Nahiro\InteractiveMap\Frontend\MapShortcode;
// use Nahiro\InteractiveMap\Admin;

class Main {
    public function __construct() {
        // Initialize custom post type
        $this->nahiroimap_init_custom_post_type();
        //initialize admin classes
        $this->nahiroimap_add_metaboxes();
        $this->nahiroimap_add_shortcode();


        // Initialize admin classes
        // add_action('admin_init', array($this, 'nahiroimap_init_admin_classes'));
    }

    private function nahiroimap_init_custom_post_type() {
        new MapPostType();
    }
    private function nahiroimap_add_metaboxes(){
        new MapMetabox();
    }
    public function nahiroimap_add_shortcode(){
        new MapShortcode();
    }
    public function nahiroimap_init_admin_classes() {
        // new Metabox();
    }
}
